package com.zebrunner.reporting.service.exception;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum ResourceNotFoundError implements com.zebrunner.common.eh.error.ResourceNotFoundError {

    ADAPTER_NOT_FOUND_BY_TYPE(2000),
    ADAPTER_NOT_FOUND_BY_ID(2001),
    TEST_SESSION_NOT_EXIST_BY_ID(2002),
    DASHBOARD_CAN_NOT_BE_FOUND_BY_ATTRIBUTE_ID(2003),
    TESTS_NOT_FOUND(2004),
    ILLEGAL_DASHBOARD_ACCESS_BY_ID(2005),
    ILLEGAL_DASHBOARD_ACCESS_BY_TITLE(2006),
    TEST_RUN_NOT_FOUND_BY_ID(2007),
    DASHBOARD_NOT_FOUND_BY_ID(2008),
    INTEGRATION_GROUP_NOT_FOUND_BY_NAME(2010),
    INTEGRATION_GROUP_NOT_FOUND_BY_ID(2011),
    INTEGRATION_NOT_FOUND_BY_ID(2012),
    INTEGRATION_SETTING_NOT_FOUND_BY_ID(2013),
    INTEGRATION_TYPE_NOT_FOUND_BY_ID(2014),
    SCM_ACCOUNT_NOT_FOUND_BY_ID(2015),
    WIDGET_TEMPLATE_NOT_FOUND_BY_ID(2016),
    TEST_NOT_FOUND_BY_ID(2017),
    INVITATION_NOT_FOUND_BY_BACK_REFERENCE_ID(2019),
    INTEGRATION_PARAM_NOT_FOUND_BY_ID(2020),
    LAUNCHER_NOT_FOUND_BY_ID(2021),
    LAUNCHER_PRESET_NOT_FOUND_BY_ID(2023),
    USER_NOT_FOUND_BY_ID(2024),
    TEST_SESSION_NOT_FOUND_BY_SESSION_ID(2025),
    INTEGRATION_DEFAULT_VALUE_NOT_FOUND_BY_TYPE_ID(2026),
    INTEGRATION_DEFAULT_VALUE_NOT_FOUND_BY_TYPE_NAME(2027),
    INTEGRATION_SETTING_NOT_FOUND_BY_INTEGRATION_ID_AND_PARAM_NAME(2028),
    INTEGRATION_SETTING_NOT_FOUND_BY_INTEGRATION_TYPE_NAME_AND_PARAM_NAME(2029),
    INTEGRATION_TYPE_NOT_FOUND_BY_NAME(2030),
    INTEGRATION_TYPE_NOT_FOUND_BY_INTEGRATION_ID(2031),
    SCM_ACCOUNT_NOT_FOUND_FOR_REPO(2033),
    LAUNCHER_CALLBACK_NOT_FOUND_BY_REF(2034),
    LAUNCHER_PRESET_NOT_FOUND_BY_REF(2035),
    LAUNCHER_NOT_FOUND_BY_REF(2036),
    TEST_RUN_NOT_FOUND_BY_CI_RUN_ID(2037),
    USER_NOT_FOUND_BY_USERNAME(2038),
    DASHBOARD_NOT_FOUND_BY_TITLE(2040),
    SETTING_NOT_FOUND_BY_NAME(2042),
    TEST_SUITE_NOT_FOUND_BY_ID(2049),
    DASHBOARD_WIDGET_NOT_FOUND_BY_DASHBOARD_ID_AND_WIDGET_ID(2053),
    WIDGET_NOT_FOUND_BY_ID(2054),
    ISSUE_REFERENCE_NOT_FOUND_BY_ID(2055),
    WORK_ITEM_NOT_FOUND_BY_BY_TEST_CASE_ID_AND_HASHCODE(2058),
    TEST_RUN_STATISTICS_NOT_FOUND_BY_TEST_RUN_ID(2059),
    TEST_RUN_FILTER_NOT_FOUND_BY_ID(2060),
    INTEGRATION_IS_NOT_FOUND(2062),
    TEST_NOT_FOUND_BY_TEST_RUN_ID_AND_ID(2063),
    TESTS_NOT_FOUND_BY_TEST_RUN_ID_AND_IDS(2064),
    SLACK_CONFIG_IS_NOT_FOUND_OR_DISABLED(2065),
    SLACK_IS_UNREACHABLE_FOR_GIVEN_CONFIG(2066),
    JIRA_CONFIG_UNREACHABLE_OR_DISABLED(2067),
    JIRA_IS_UNREACHABLE_FOR_GIVEN_CONFIG(2068),
    JIRA_UNABLE_TO_GET_ISSUE_BY_ID(2069),
    TESTRAIL_CONFIG_NOT_FOUND(2070),
    TESTRAIL_RUN_IS_NOT_FOUND_BY_NAME(2071),
    TESTRAIL_IS_UNREACHABLE_FOR_GIVEN_PROJECT(2072),
    TESTRAIL_TEST_CASE_IS_NOT_FOUND_BY_ID(2073),
    JENKINS_CONFIG_NOT_FOUND_OR_DISABLED(2074),
    JENKINS_IS_UNREACHABLE_FOR_GIVEN_CONFIG(2075),
    JENKINS_CONFIG_NOT_FOUND_BY_ID(2086),
    DASHBOARD_SWITCH_NOT_FOUND(2087);

    private final int code;

}
